﻿<?php
	/** Főoldal
	*
	*	Ezek a kódsorok kezelik a bejelentkezési kísérleteket, menük 
	*	megjelenítését, valamint ez a php huzza be a többi menüpontnak 
	*	megfelelő további php fájlokat.
	*
	*	@package koliportal
	*	@author Karakó Miklós <palacsint_X_freemail.hu>
	* 	@copyright Copyright &copy; 2005, Karakó Miklós
	*/
	
	/** init szkriptek behúzása */
	require_once(dirname(__FILE__) . "/../init.inc.php");

//	ini_set('register_globals', false) or die("ini_set");
	
	
?>
<?php echo '<?xml version="1.0" encoding="UTF-8"?>'; ?>

<!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<?php
	//var_dump($_SESSION);
	$title_extra = '';
	$username = '';
	
	$password = '';
	$login_try = false;
	$errc = 0;
	$errs = $msgs = array();
	$page = '';
	
	
	
	if ((false === check_login()) && (count($_POST) > 0)) 
	{
		$login_try = true;
		
		if ("yes" !== variable_get("login_allowed"))
		{
			$errc++;
			/* felesleges a hibaüzenet, mert a loginform.php 
				is kiírja, ha az login_allowed != yes */
			//$errs[] = "Jelenleg nem lehet bejelentkezni!";
		}
		
		if (0 === $errc)
		{
			if (isset($_POST["username"]))
			{
				$username = addslashes($_POST["username"]);	
			} else {
				$errc++;
				$errs[] = "Nincs felhasználónév megadva!";	
			}
			debug_echo("username = $username");
		}
			
		if ((0 == $errc) && (strlen($username) < 3)) {
			$errc++;
			$errs[] = "Hibás felhasználónév!";
		}

		if (isset($_POST["password"]))
		{
			$password = addslashes($_POST["password"]);	
		} else {
			$errc++;
			$errs[] = "Nincs megadva a jelszó!";	
		}
		
		if ($errc == 0)
		{
			$sql_q = "SELECT * FROM users WHERE username = '$username' 
				AND password = MD5(CONCAT('$password', username))";
			debug_echo($sql_q, DEBUG_SQL);
			$sql_res = mysql_query($sql_q, $database);
			if ($sql_res === false)
			{
				mylog($sql_q);
				myerr("Adatbázis hiba!");
			}
			if (mysql_num_rows($sql_res) !== 1)
			{
				$errc++;
				$errs[] = "Hibás a megadott felhasználónév vagy jelszó!";
				$username = $password = '';
			} 
			
			if (0 === $errc)
			{
				$arr = mysql_fetch_assoc($sql_res)
					or myerr("Adatbázis hiba!");
			}
			
			if ((0 === $errc) && ('Y' == $arr["disabled"]))
			{
				$errc++;
				$errs[] = "Ki vagy tiltva!";
			
			}
			
			if (0 === $errc) {
				$_SESSION["login"] = true;
				$_SESSION["username"] = $arr["username"];
				$_SESSION["sid"] = $arr["sid"];
				$_SESSION["bid"] = $arr["bid"];
			}
		}
		
	}

	
	
	if (isset($_GET["page"]))
	{
		$page = $_GET["page"];
	}

	if ("logout" === $page)
	{
		unset($_SESSION);	
		$_SESSION["login"] = false;
		$page = "loginform";
		session_destroy();
	}
	//var_dump($_SESSION);
?>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="hu" lang="hu">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Kollégiumi információs rendszer<?= $title_extra ?></title>
		<style type="text/css" media="screen">@import url("<?= $css_link ?>");</style>
	</head>
	
	<body>
		<h1>Interaktív kollégiumi információs rendszer</h1>

		<p id="menu">
			| <a href="<?= $_SERVER["PHP_SELF"] ?>">index</a> |
<?php
	if (check_login() && ("yes" == variable_get("edit_wishes_allowed"))) 
	{
?>	
			<a href="<?= $_SERVER["PHP_SELF"] ?>?page=wishlist">kívánságlista</a> |
<?php
	}
	if (is_trusted_host() || check_login())
	{
?>	
			<a href="<?= $_SERVER["PHP_SELF"] ?>?page=forum">fórum</a> |
<?php
	}

	if (check_login()) 
	{
?>		
			<a href="<?= $_SERVER["PHP_SELF"] ?>?page=roominfo">szobainfo</a> |
			<a href="<?= $_SERVER["PHP_SELF"] ?>?page=chdata">jelszócsere</a> |
			<a href="<?= $_SERVER["PHP_SELF"] ?>?page=logout">kilépés</a> |
<?php
	}
?>		
			
		</p>

<?php
	if ($_SESSION["login"] === true) 
	{
?>		
		<p id="loginok"><?= $_SESSION["username"] ?></p>
<?php
	}
?>		
		
<?php
	/** Alapértelmezett oldal
	*
	* 	Ez az oldal lesz az alapértelmezett, ha nem kapott a szkript semmilyen
	*	paramétert.
	*/
	define("DEFAULT_PAGE", "loginform");

	$inc["loginform"] = "/loginform.php";
	
	/* bejelentkezés után elérhető oldalak */
	$inc["wishlist"] = "/edit.list.frame.php";
	$inc["roominfo"] = "/page.roominfo.php";
	$inc["chdata"] = "/page.chdata.php";
	
	/* bejelentkezés nélkül elérhető oldalak */
	$inc_anon["forum"] = "/../forum/forum.php";

	
	/* ha nem megbízható hostról jön a kliens, akkor megszüntetjük az $inc_anon
		változót */
		
	if (!is_trusted_host() && !check_login())
	{
		unset($inc_anon);
		$inc_anon = array();
	} else {
		debug_echo("trusted host.");
	}
	
	
	/* ha most érkezett az oldalra... */
	if (!isset($page))
	{
		$page = DEFAULT_PAGE;
	}

	/* ha nincs bejelentkezve és olyan oldalt akar megnézni, amit csak
	bejelentkezés után lehetne, akkor elküldjük bejelentkezni */
	if ((!check_login()) && !isset($inc_anon[$page]))
	{
		$page = DEFAULT_PAGE;
	}
	
	/* ha be van jelentkezve és nem létező oldalt akar elérni, akkor
	is elküldjük bejelentkezni
		FIXME: lehet 404 oldal is
	*/
	if (check_login() && (!isset($inc[$page]) && !isset($inc_anon[$page])))
	{
		$page = DEFAULT_PAGE;
		
	}
		

	if (isset($inc[$page]))
	{
		/** A megfelelő belső oldal beszúrása */
		require_once(dirname(__FILE__) . $inc[$page]);
	} 
	elseif (isset($inc_anon[$page]))
	{
		/** A megfelelő bejelentkezés nélkül is elérhető oldal beszúrása */
		require_once(dirname(__FILE__) . $inc_anon[$page]);
	}
		
		
	


?>		
		
	</body>
	
</html>	