﻿<?php
	/**
	*	@package koliportal
	*	@author Karakó Miklós <palacsint_X_freemail.hu>
	* 	@copyright Copyright &copy; 2005, Karakó Miklós
	*/
	/* időméréshez */
	list($start_sec, $start_ssec) = explode(" ", microtime());
	$start_time = $start_sec + $start_ssec;
	global $start_time;

	/** initszkriptek behúzása */
	require_once(dirname(__FILE__) . "/../../include/init.inc.php");

?>
<?php echo '<?xml version="1.0" encoding="UTF-8"?>'; ?>

<!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<?php
	$title_extra = '';
	$errc = 0;
	$errs = $msgs = array();
	$action = '';
	
	
	

	if (isset($_GET["action"]))
	{
		$action = addslashes($_GET["action"]);
	}
	
	$barr = get_buildings_list();
	
	function make_building_menu($barr, $param)
	{
		$out = '';
		
		reset($barr);
		while (list(, $ba) = each($barr))
		{
			$out .= sprintf('<li><a href="%s?action=%s&amp;bid=%d">%s</a></li>%s',
				$_SERVER["PHP_SELF"], $param, $ba["bid"], $ba["bsname"], "\n");
		}
		
		return $out;
		
	}

?>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="hu" lang="hu">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>[admin] Kollégiumi információs rendszer<?= $title_extra ?></title>
		<style type="text/css" media="screen">@import url("<?= $css_link ?>");</style>
	</head>
	
	<body>


<ul id="menulist">
	<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=config">beállítások</a></li>
	<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=studentlist">diáklista</a>
	<ul>
		<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=studentlist-upload">[feltöltése]</a></li>
		<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=studentlist-csv">[letöltése]</a></li>
		
		
	</ul></li>
	<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=roomlist">szobalista</a>
		<ul>
			<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=roomlist-upload">[feltöltése]</a></li>
			<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=roomlist-csv">[letöltése]</a></li>
		</ul></li>
	<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=buildinglist">épületlista</a>
		<ul>
			<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=building-upload">[feltöltése]</a></li>
			<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=building-csv">[letöltése]</a></li>
		</ul></li>
	<li>beosztás
	<ul>
		<li>alaphelyezet
		<ul>
			<?= make_building_menu($barr, "set-default"); ?>
		</ul></li>
		<li>szobabeosztás készítése
		<ul>
			<?= make_building_menu($barr, "assign"); ?>
		</ul></li>
		<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=kivansaggen">kívánsággenerátor (dev)</a></li>
	</ul></li>
	<li><a href="<?= $_SERVER["PHP_SELF"] ?>?action=logout">kilépés</a></li>
</ul>
	
	<div class="admin-content">

		<h1>Kollégiumi információs rendszer [admin]</h1>
		
		<p><?php
			//var_dump($_SESSION);
		?></p>

<?php
	// FIXME: default érték!
	$admin_inc['enable-student'] = $admin_inc['disable-student'] =
	$admin_inc['chst-student'] = $admin_inc['del-student'] = 
	$admin_inc["studentlist"] = "/page.studentlist.php";	
	$admin_inc["studentlist-csv"] = "/page.studentlist-csv.php";	
	
	
	$admin_inc["set-default"] = "/page.set-default.php";

	$admin_inc["config"] = "/page.config.php";
	$admin_inc["studentlist-upload"] = "/page.studentlist-upload.php";
	$admin_inc["assign"] = "/page.assign.php";
	$admin_inc["delete-room"] = 
	$admin_inc["roomlist"] = "/page.roomlist.php";
	$admin_inc["roomlist-upload"] = "/page.roomlist-upload.php";
	$admin_inc["roomlist-csv"] = "/page.roomlist-csv.php";
	$admin_inc["delete-building"] = 
	$admin_inc["buildinglist"] = "/page.buildinglist.php";
	$admin_inc["building-upload"] = "/page.buildinglist-upload.php";
	$admin_inc["building-csv"] = "/page.buildinglist-csv.php";
	$admin_inc["kivansaggen"] = "/inc_kivgen.php";
	//$admin_inc[""] = "/.php";

	if (isset($action) && (isset($admin_inc[$action])))
	{
		/** aloldal behúzása a _GET["action"] értékétől függően */
		require_once(dirname(__FILE__) . '/../../include/admin' . $admin_inc[$action]);
	}

?>


<?php

	list($end_sec, $end_ssec) = explode(" ", microtime());
	$end_time = $end_sec + $end_ssec;

?>

<p id="runtime">Futásidő: <?= round(($end_time - $start_time) * 1000, 3) ?> ms</p>
		
</div>

	</body>
	
</html>	