<?php
	/** Általános beállítások
	*
	* Ez a fájl tartalmazza a program általános beállításait: adatbázisszerver
	* paraméterei, fő url, stb.
	*
	*	@package koliportal
	*	@author Karakó Miklós <palacsint_X_freemail.hu>
	* 	@copyright Copyright &copy; 2005, Karakó Miklós
	*/

	/** Maximum ennyi kivánsága lehet egy hallgatónak
	*
	*	Ezt át lehetne rakni a variables táblába, de ez inkább rendeszerszintű
	*	beállítás, és túl sok macerával járna mindig ellenőrizni, hogy helyes
	*	érték lett-e beállítva. Például ha túl kicsire veszi az admin, akkor
	*	törölni kell-e azokat a kívánságokat, amelyek ezen túlmutatnak?
	*/
	
	define("MAXPREF", 50);
	// maximum ennyi ember lehet a kívánságlistában
	
	
		/** Az adatbázisszerver hostja
		*/
		define("DBHOST", "localhost");
		/** Felhasználónév az adatbázishoz
		*/	
		define("DBUSER", "kp");
		/** Jelszó az adatbázishoz
		*/
		define("DBPASS", "kp_jelszo");
		/** Az adatbázis neve
		*/
		define("DBNAME", "kp");

	/** A rendszer URL címe
	* 
	* Ezen a címen érhető el a rendszer a weben keresztül. A fórum rss
	* része miatt van rá szükség. Más nem használja
	*/
	define("SERVER_ROOT", "http://localhost/kp/www/");
	
	$css_link = SERVER_ROOT . "koli.css";
	
	
	/* ha be van állítva nem jelenik meg egy hibakeresési üzenet sem */
	define("DEBUG_OFF", true);
	
	
	/** Az rss nyelve */
	define ("RSS_BACKEND_LANGUAGE", "hu-hu");
	/** Az rss leírása */
	define ("RSS_DESCRIPTION", "kolifeed");
	/** Az rss címe */
	define ("RSS_TITLE", "kolifeed");
	/** Az rss itt érhető el */
	define ("RSS_NUKEURL", SERVER_ROOT); 
	
	/** ezekről az ip címekről szabadon elérhető a fórum */
	//add_trusted_host("10.1.0.8");
	//add_trusted_host("127.0.0.1");
	

?>
